summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony Ryan <anthonyryan1@gmail.com>2016-11-24 22:49:17 -0500
committerDavide Pesavento <pesa@gentoo.org>2016-11-25 18:47:25 +0100
commit5959cfdb7a736cd0ac83bfb13e6fdfb987ac0217 (patch)
treeddda621b999c0cd975ee8d4bfcb9929c637f532b
parentdev-util/eric: version bump (diff)
downloadgentoo-5959cfdb7a736cd0ac83bfb13e6fdfb987ac0217.tar.gz
gentoo-5959cfdb7a736cd0ac83bfb13e6fdfb987ac0217.tar.bz2
gentoo-5959cfdb7a736cd0ac83bfb13e6fdfb987ac0217.zip
qt4-build-multilib.eclass: explicitly build with -std=gnu++98
While some of the Qt4 packages build correctly with -std=gnu++14, others rely upon std::tr1 and other renamed library items. Because most of these issues have been resolved upstream in Qt5, the easiest solution is to ensure Qt4 is always built with -std=gnu++98. Gentoo-Bug: 582522, 582618, 583744, 583662 Closes: https://github.com/gentoo/gentoo/pull/2908
-rw-r--r--eclass/qt4-build-multilib.eclass6
1 files changed, 6 insertions, 0 deletions
diff --git a/eclass/qt4-build-multilib.eclass b/eclass/qt4-build-multilib.eclass
index 2a84bc5733c..d0b11afe3a4 100644
--- a/eclass/qt4-build-multilib.eclass
+++ b/eclass/qt4-build-multilib.eclass
@@ -158,6 +158,12 @@ qt4-build-multilib_src_prepare() {
|| die "sed failed (skip X11 tests)"
fi
+ # Qt4 is not safe to build with C++14 (the new gcc-6 default).
+ # Upstream has addressed this for Qt5, but while we continue to
+ # support Qt4, we need to ensure everything is built in C++98 mode.
+ # See bugs 582522, 582618, 583662, 583744.
+ append-cxxflags -std=gnu++98
+
if [[ ${PN} == qtcore ]]; then
# Bug 373061
# qmake bus errors with -O2 or -O3 but -O1 works